Subject: bug#24899: 25.1; x-hide-tip always returns nil with USE_GTK

From: Noah Peart <[email-masked]>
Date: Tue, 8 Nov 2016 17:11:11 -0500

I think there might be another problem with the patch though.  There seems
to be a problem when setting `x-gtk-use-system-tooltips` variable to nil.

I think that `x-show-tip` respects this variable with

`if (x_gtk_use_system_tooltips)`

but `x-hide-tip` does not.  So, the tooltip is created but can't be
destroyed.

Thanks

On Tue, Nov 8, 2016 at 2:13 PM, Noah Peart <[email-masked]> wrote:

> I can confirm that Eli's patch fixed the above problem on my end.
> `x-hide-tip` now returns true when there is a tooltip active.
>
> Thanks all
>
> On Tue, Nov 8, 2016 at 1:33 PM, Noah Peart <[email-masked]> wrote:
>
>> I will try to give it a shot shortly and report back.  My value of
>> 'x-gtk-use-system-tooltips’
>> was 't'.  Sorry I had focused on 'x-hide-tip' and forget 'pos-tip' wasn't
>> part of emacs.
>>
>> Thanks!
>>
>> On Tue, Nov 8, 2016 at 11:47 AM, Eli Zaretskii <[email-masked]> wrote:
>>
>>> > Date: Tue, 08 Nov 2016 17:41:19 +0100
>>> > From: martin rudalics <[email-masked]>
>>> > CC: [email-masked], [email-masked]
>>> >
>>> >  > Martin, did you try this on master or on the emacs-25 branch?
>>> >
>>> > On master.  The OP's build time was more recent than mine ;-)
>>> >
>>> >  > I think
>>> >  > there's an omission in the Emacs 25.1 code, which the OP is running,
>>> >  > that is already fixed on master.  For emacs-25, the following patch
>>> >  > should at least bring you closer to the solution,
>>> >
>>> > Emacs-25?  This bug is more than six years old.
>>>
>>> I meant the branch, not the release.  I'm not sure we should fix it in
>>> 25.2, given the age of the bug.
>>>
>>> Thanks.
>>>
>>
>>
>